#include ONCE "window9.bi"

function GetMenuItemText (menu as HMENU , iNumberMenu as Long) as string export
	
	dim as ListT ptr pListTemp
	
	dim as HMENU itemMenu
	
	pListTemp = cast(ListT ptr,pGlobalTypeWindow9->ListMenus->findNodeFunc(cint(iNumberMenu)))
	
	if pListTemp = 0 then return ""
	
	itemMenu = cast(HMENU , pListTemp->anyTwoData)	
	
	return *gtk_menu_item_get_label(itemMenu)
	
End Function